Subject: [bug#26647] Upgrade fabric to 1.13.2, remove upstreamed patch.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 02 Sep 2017 00:48:34 +0200

Hi Ben,

Ben Sturmfels <[email-masked]> skribis:

> On Tue, 25 Apr 2017, Ricardo Wurmus wrote:
>
>> Hi Ben,
>>
>>> The attached patch upgrades fabric from 1.13.1 to 1.13.2. The new
>>> upstream version incorporates the patch that was previously required for
>>> tests to pass. Yay!
>>
>> I have tried your patch but the tests seem to time out at this point:
>>
>>     Alias expansion ... ok
>>     test_tasks.TestExecute.test_calls_task_function_objects
>>     should execute the passed-in function object ... ok
>>     test_tasks.TestExecute.test_nested_execution_with_explicit_ports
>>     nested executions should work with defined ports
>>     *crickets*
>>
>> After about an hour I aborted the build.  Is this test supposed to take
>> a very long time?
>
> Ow, that's a shame. The tests run fine for me, but I see that Debian
> have this test disabled as it runs indefinitely on a single-core VM.
> I'll look at disabling this test too.

Did you have a chance to look into this?
(See <https://bugs.gnu.org/26647> for context.)

Thanks,
Ludo’.